#!/bin/bash

if [[ -z $1 ]];
then
  echo "No argument passed. ./setup.sh {projectName}"
  exit;
fi

projectName=$1
currentProjectName=$(cut -d "=" -f 2 docker/.env)

sed -i "s/$currentProjectName/$projectName/g" docker/.env

composer install

cd docker || exit

docker-compose up -d --build

cd ..

rm -rf .git
git init && git add . && git commit -m'Initial Commit'
